Hi everyone!
I am trying to write python script which convert closed curve to surface.
Can someone tell me how I can write those script using rhinoscriptsyntax?
Thank you!
Regards,
Katsuya
Hi everyone!
I am trying to write python script which convert closed curve to surface.
Can someone tell me how I can write those script using rhinoscriptsyntax?
Thank you!
Regards,
Katsuya
That depends - is it planar? Then you could use rs.AddPlanarSrf([curve]). If not, there is no definitive method for producing a surface from an arbitrary closed non-planar curve, it will depend on the curve geometry.
Patch might be one way to go about this, AddPatch() is not yet implemented in Python/Rhinoscriptsyntax, so again, either script rs.Command("_-Patch…) - with all the command line options as to point count, stiffness etc. - or dive into RhinoCommon and use the Rhino.Geometry.Brep.CreatePatch() method…
HTH, --Mitch
Ilja
rs.AddPatch() is also now available in Rhino V6…